Get user

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /users/{userId}

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • userId string(uuid) Required

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • id string(uuid) Required

      The ID of the user

    • firstName string Required

      The first name of the user

    • lastName string Required

      The last name of the user

    • email string Required

      The email of the user

    • phoneNumber string Required

      The phone number of the user

    • title string Required

      The title of the user

    • lastLogin string(date-time) Required

      The last login time of the user

    • loginCount integer(int64) Required

      The login count of the user

    • role string Required

      The role of the user

    • ssoUser boolean Required

      Indicates if the user is an SSO user

    • reportingRestricted boolean Required

      Indicates if reporting is restricted for the user

    • roleIds array[string(uuid)]
    • viewAllProjects boolean
GET /users/{userId}
curl \
 --request GET 'https://live.smartpmtech.com/users/{userId}' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "firstName": "Kirby",
  "lastName": "Smart",
  "email": "kirby.smart@blah.com",
  "phoneNumber": "+1-555-123-4567",
  "title": "Project Manager",
  "lastLogin": "2024-01-01T12:00:00+00:00",
  "loginCount": 42,
  "role": "Admin",
  "ssoUser": true,
  "reportingRestricted": false,
  "roleIds": [
    "string"
  ],
  "viewAllProjects": true
}